---
title: About Me
---

My name is Daniel, and I am a programmer, Linux enthusiast, and graduate
student of cybersecurity. My research interest is authentication, and I
like programming in Python and POSIX shell. I spend my free time writing
code, tinkering, and contributing to open-source projects. Feel free to
[contact me](/contact) if you want to see my resume or learn more about my
work.

I'm the author [zona] (a static site generator), [Ashen] (a color scheme),
and a number of [Kakoune] plugins. You can find my latest work on my
profile, [~ficd].

[zona]: https://sr.ht/~ficd/zona
[~ficd]: https://git.sr.ht/~ficd
[Ashen]: https://sr.ht/~ficd/ashen
[Kakoune]: https://kakoune.org

I completed a Bachelor's of Computing (Honours) at Queen's University in
2024, and I'm currently in the Master's of Science program at the School
of Computing. As part of the NSERC CREATE Cybersecurity program, my work
combines programming, cryptography, system design, and threat modeling to
tackle real-world security challenges. I'm currently working on my thesis,
which introduces a novel method of detecting signal relay attacks in the
context of multi-factor authentication.

I use Kakoune as my text editor, and I type in
[Colemak-DH](https://colemakmods.github.io/mod-dh/) on a
[custom layout](https://sr.ht/~ficd/zmk). I run Arch Linux on a desktop PC
and ThinkPad, my preferred terminal is Foot, and I've been enjoying Niri
as a window manager.

This website is registered on [1mb.club](https://1mb.club/) and
[jsfree.org](https://jsfree.org/). It's published at
[ficd.sh](https://ficd.sh), and a proxy is available at
[ficd.srht.site](https://ficd.srht.site)
